#pragma once

#include "opensbi/opensbi.h"

namespace drivers {
namespace opensbi::base {

    enum class ImplId {
        BBL,
        OPENSBI,
        XVISOR,
        KVM,
        RUSTSBI,
        DIOSIX
    };

    SbiRet get_spec_version();

    SbiRet get_impl_id();

    SbiRet get_impl_version();

    SbiRet probe_extension(long extension_id);

    SbiRet get_mvendor_id();

    SbiRet get_march_id();

    SbiRet get_mimp_id();

}  // End namespace opensbi::base
}  // End namespace drivers
